Name:          java-xmlbuilder
Version:       1.1
Release:       %mkrel 7
Group:         Development/Java
Summary:       XML Builder Java library for creating XML documents
License:       ASL 2.0
Url:           https://github.com/jmurty/java-xmlbuilder
Source0:       https://github.com/jmurty/java-xmlbuilder/archive/v%{version}.tar.gz
BuildRequires: sonatype-oss-parent
BuildRequires: base64
# test deps
BuildRequires: junit

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildArch:     noarch

%description
XML Builder is a utility that creates simple XML documents using relatively
sparse Java code.

It is intended to allow for quick and painless creation of XML documents 
where you might otherwise be tempted to use concatenated strings, and 
where you would rather not face the tedium and verbosity of coding with JAXP.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

# Unwanted
%pom_remove_plugin :maven-gpg-plugin
# Unwanted - disable source jar
%pom_remove_plugin :maven-source-plugin
# Unwanted - disable javadoc jar
%pom_remove_plugin :maven-javadoc-plugin

# Fix CRLF
sed -i 's/\r//' LICENSE-2.0.txt

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.md README.md
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt



%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1.1-7.mga8
+ Revision: 1491087
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.1-6.mga7
+ Revision: 1262940
- Mageia 7 Mass Rebuild

* Wed Mar 02 2016 neoclust <neoclust> 1.1-5.mga6
+ Revision: 982210
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1-4.mga6
+ Revision: 976504
- First rebuild of the java stack
- sync package java-xmlbuilder with fedora
- imported package java-xmlbuilder

* Wed Oct 15 2014 umeabot <umeabot> 0.6-4.mga5
+ Revision: 745526
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.6-2.mga4
+ Revision: 541754
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 dmorgan <dmorgan> 0.6-1.mga4
+ Revision: 496409
- New version

* Sat Jan 12 2013 umeabot <umeabot> 0.4-2.mga3
+ Revision: 354810
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 05 2011 gil <gil> 0.4-1.mga2
+ Revision: 163071
- imported package java-xmlbuilder


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Feb 09 2015 gil cattaneo <puntogil@libero.it> 1.1-1
- update to 1.1

* Fri Feb 06 2015 gil cattaneo <puntogil@libero.it> 0.6-5
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 0.6-2
- switch to XMvn
- minor changes to adapt to current guideline

* Sun Apr 28 2013 gil cattaneo <puntogil@libero.it> 0.6-1
- update to 0.6

* Fri Apr 26 2013 gil cattaneo <puntogil@libero.it> 0.4-2
- install upstream license and notice files

* Mon Jul 02 2012 gil cattaneo <puntogil@libero.it> 0.4-1
- initial rpm
